sane-backends (1.3.1-4build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 12:18:31 +0200

sane-backends (1.3.1-4) unstable; urgency=medium

  * New debian/patches/0205-ftbfs_with_GCC-15.patch (Closes: #1097841).
    - Fix ftbfs with GCC-15.
  * New debian/po/tr.po (Closes: #1104475).

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 10 May 2025 08:40:04 +0200

sane-backends (1.3.1-3) unstable; urgency=medium

  * sane-utils.postinst:
    - Add addgroup (Closes: #1100848, #1095956).
  * debian/libsane1.preinst:
    - Run addgroup every time.

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 19 Mar 2025 19:23:37 +0100

sane-backends (1.3.1-2) unstable; urgency=medium

  * Fix FTBFS on non-Linux architectures (Closes: #1090801).
    Thanks to Pino Toscano <pino@debian.org>.
  * Move addgroup from debian/libsane1.postinst to debian/libsane1.preinst
    (Closes: #1095956).
  * New debian/patches/0190-Fix_scanimage_help.patch to Fix_output of 
    scanimage --help (Closes: #1094671).
  * debian/sane-utils.links: Add link from sane-umax_pp.5.gz to umax_pp.5.gz
    to make lintian happy.
  * Declare compliance with Debian Policy 4.7.2 (No changes needed).
  * debian/copyright:
    - Add 2025 to myself.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 16 Mar 2025 11:45:27 +0100

sane-backends (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Reenable v4l.
  * debian/libsane1.symbols:
    - Replace hurd-i386 with hurd-any to fix FTBFS (Closes: #1081122).
    - Remove kfreebsd.
  * New debian/patches/0185-fix_memory.patch:
    - Fix memory handling at backends/hp5590_low.c
      (Closes: #1071658, #1071660).

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 08 Dec 2024 19:33:14 +0100

sane-backends (1.3.0-2) unstable; urgency=medium

  * Fix FTBFS on hurd-i386 & hurd-amd64 (Closes: #1081122).
    - Thanks to Pino Toscano <pino@debian.org>.
  * debian/libsane1.lintian-overrides:
    - Fix syntax.
  * Declare compliance with Debian Policy 4.7.0.1 (No changes needed).
  * debian/copyright:
    - Rewrite to make lrc happy.
  * New debian/lrc.excludes to suppress false positives.
  * debian/control:
    - Change Vcs-Git from git: to https:.
  * New debian/patches/0180-Escl_force_idle_status.patch:
    - Fix Escl idle status (Closes: #1068794).
  * debian/watch:
    - Rewrite to the new gitlab schema.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 18 Nov 2024 19:51:57 +0100

sane-backends (1.3.0-1) unstable; urgency=medium

  * New upstream release.
    - debian/sane-utils.install: Install new saned.install.md.
    - Refresh patches.
  * debian/control:
    - Replace obsolete pkg-config with pkgconf.
  * New debian/patches/0610-fix_groff_font_warnings.patch:
    - Fix missing font messages.
  * Install saned.service mask symlink into /usr (Closes: #1059186).
    - Thanks to Chris Hofstaedtler <zeha@debian.org>.
  * debian/copyright:
    - Add 2024 to myself.
    - New po/zh_CN.po.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 03 Mar 2024 13:23:47 +0100

sane-backends (1.2.1-7) unstable; urgency=medium

  * debian/rules:
    - Fix FTCBFS: confuses build/host compiler flags (Closes: #1057649).
      Thanks to Emanuele Rocca <ema@debian.org>.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 17 Dec 2023 13:05:00 +0100

sane-backends (1.2.1-6) unstable; urgency=medium

  * libsane1: move udev files to /usr, with protective diversion
    against m-a: same file loss on upgrades (DEP17 P7 M10). Diversion can be
    removed in Forky (Closes: #1056725).
    Thanks to Chris Hofstaedtler <zeha@debian.org>.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 25 Nov 2023 19:52:57 +0100

sane-backends (1.2.1-5) unstable; urgency=medium

  * debian/rules:
    - Fix Fails to build source after successful build (Closes: #1046783).

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 14 Aug 2023 17:10:14 +0200

sane-backends (1.2.1-4) unstable; urgency=medium

  * Fix FTBFS on hurd-i386 (Closes: #1040123):
    - debian/rules: Remove --enable-parport-directio.
      Thanks to Pino Toscano <pino@debian.org>.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 09 Jul 2023 19:16:00 +0200

sane-backends (1.2.1-3) unstable; urgency=medium

  * debian/control:
    - Drop transitional package libsane (Closes: #1038302).
      + Thanks to Holger Levsen <holger@layer-acht.org>.
    - Change to new repository URL.
  * debian/patches/0040-remove_git.patch:
    - Update .tarball-version to the current version (Closes: #1036870).
      + Thanks to Jan Binder <jb-debbugs@nlogn.org>.
  * debian/patches/0175-fix_tests.patch:
    - Update to the current version.
  * New debian/po/ro.po (Closes: #1033709).
    - Thanks to "Remus-Gabriel Chelu" <remusgabriel.chelu@disroot.org>.
  * debian/copyright:
    - Correcting the license of debian/po/fr.po to GPL-2+ with sane exception
      and remove the GFDL-1.1 text (Closes: #1033979).
      + Thanks to Bastian Germann <bage@debian.org>

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 19 Jun 2023 08:41:14 +0200

sane-backends (1.2.1-2) unstable; urgency=medium

  * Fix remove wrong remove manpage (Closes: #1035677):
    - Remove debian/sane-utils.preinst.

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 16 May 2023 18:49:09 +0200

sane-backends (1.2.1-1) unstable; urgency=medium

  * New upstream release:
    - Remove not longer needed patches:
      + 0195-genesys_fix_total_file_size_exceeding.patch
      + 0035-trim-libraries-in-sane-backends.pc.in.patch
      + 0045-disable_lock_test_at_build_time.patch
      + 0185-Change_output_from_sane-find-scanner.patch
    - Refresh patches:
      + 0705-kfreebsd.patch
      + 0060-cross.patch
      + 0100-source_spelling.patch
  * debian/control:
    - Remove obsolete package Depends lsb-base.
    - Add libpng-dev to Build-Depends.
  * Declare compliance with Debian Policy 4.6.2.0 (No changes needed).
  * debian/copyright:
    - Refresh to the new upstream release.
    - Add 2023 to myself.
  * debian/changelog:
    - Remove trailing whitespace.
  * Remove obsolete files:
    - debian/libsane-common.maintscript
    - debian/NEWS
    - debian/libsane1.NEWS

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 13 Feb 2023 19:25:08 +0100

sane-backends (1.1.1-6) unstable; urgency=medium

  * debian/rules:
    - Remove # before $(INS_CONF).
  * Fix build error with gcc12 (Closes: #1013034):
    - New debian/patches/0200-disable-check-equal-stderr.patch.
      + Thanks to Nathan Pratta Teodosio <nathan.teodosio@canonical.com>.
  * debian/sane-utils.postrm:
    - Fix purge error (Closes: #1008822).
  * debian/sane-utils.postinst:
    - Fix inetd handling (Closes: #1009354).

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 02 Oct 2022 09:54:28 +0200

sane-backends (1.1.1-5) unstable; urgency=medium

  * debian/rules:
    - Change configure parameter --enable-parport-directio to use only on
      hurd-i386 (Closes: #1008488).
  * debian/control:
   - Change Build-Depend from virtual package libltdl3-dev to libltdl-dev.
  * New debian/patches/0195-genesys_fix_total_file_size_exceeding.patch:
   - Fix out off memory on high resultions (Closes: #942176)
     Cherry-picked from upstream.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 27 Mar 2022 18:31:28 +0200

sane-backends (1.1.1-4) unstable; urgency=medium

  * debian/sane-utils.preinst: Remove man file only on update.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 26 Feb 2022 14:47:49 +0100

sane-backends (1.1.1-3) unstable; urgency=medium

  * Remove test artefact (debian/1.sh).
  * debian/changelog:
    - Fix spelling error (Closes: #1006116).
  * debian/sane-utils.postinst:
    - Remove not longer requested home directory move.
  * debian/sane-utils.postrm:
    - Don't remove group scanner (Closes: #1005737).
  * debian/control:
    - Add Recommends: sane-airscan to libsane1 (Closes: 1005817).
  * Move man page sane-umax_pp.5 back to libsane-common (Closes: #1005736):
    - debian/rules:
      - Remove delete manpage from libsane-common.
    - New debian/sane-utils.preinst to remove man page and symlink.
    - debian/sane-utils.link:
      - Remove create link from sane-umax_pp.5
    - debian/control:
      - Add new Breaks and Replace.
  * New debian/patches/0185-Change_output_from_sane-find-scanner.patch:
    - Improve output for possible USB scanners (Closes: #983332).
  * debian/libsane1.symbols:
    - Add !kfreebsd-any to missing symbol.
  * debian/copyright:
    - Refresh Upstream Contact and Source.

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 23 Feb 2022 09:28:33 +0100

sane-backends (1.1.1-2) unstable; urgency=medium

  * debian/sane-utils.postinst:
    - Fix syntax error (Closes: #1005102).

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 07 Feb 2022 20:35:48 +0100

sane-backends (1.1.1-1) unstable; urgency=medium

  * New upstream release.
    - Remove not longer needed patches:
      + 0180-gt68xx_fix_use-after-free_two_memleaks.patch
      + 0600-scanimage_manpage.patch
    - Refresh patches:
      + 0605-fix_groff-warnings.patch
      + 0100-source_spelling.patch
    - Closes: #920216, #998616.
  * debian/copyright:
    - Refresh to the new upstream release.
    - Add 2022 to myself.
  * Remove *.lintian-overrides.
  * debian/sane-utils.postinst:
    - Add home dir for user/group saned (Closes: #995732).
  * debian/sane-utils.postrm:
    - Use --remove-home instead --remove-all-files (Closes: #1001960).
  * Reactivate debian/patches/0125-multiarch_dll_search_path.patch
    (Closes: #1002704).

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 06 Feb 2022 10:51:26 +0100

sane-backends (1.0.32-4) unstable; urgency=medium

  * Upload into unstable.
  * Declare compliance with Debian Policy 4.6.0 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 20 Aug 2021 13:44:57 +0200

sane-backends (1.0.32-3) experimental; urgency=medium

  * Fix use-after-free and two mem leaks:
   - New debian/patches/0180-gt68xx_fix_use-after-free_two_memleaks.patch.
     Cherry-picked from upstream (Closes: #980311).
  * Add some Debian files / directories into .gitignore.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 11 Jul 2021 17:44:43 +0200

sane-backends (1.0.32-2) experimental; urgency=high

  * debian/sane-utils.postrm: Fix pathfind handling (Closes: #989879).

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 16 Jun 2021 18:52:25 +0200

sane-backends (1.0.32-1) experimental; urgency=medium

  * New Upstream release:
    - Refresh patches:
      + patches/0040-remove_git.patch
      + patches/0045-disable_lock_test_at_build_time.patch
      + patches/0060-cross.patch
      + patches/0140-avahi.patch
      + patches/0145-avahi.patch
      + patches/0150-i386-test.patch
      + patches/0155-hurd_PATH_MAX.patch
      + patches/0600-scanimage_manpage.patch
      + patches/0705-kfreebsd.patch
      + patches/0725-fix_link_60-libsane_rule.patch
    - Remove not longer needed patches:
      + patches/0100-source_spelling.patch
      + patches/0125-multiarch_dll_search_path.patch
      + patches/0055-Fix_build_error.patch
      + patches/0165-respect_local_only_parameter.patch
      + patches/0170-return_empty_list_when_local_devices_requested.patch
    - New Patches:
      + patches/0175-fix_tests.patch to fix build - tests.
      + patches/0605-fix_groff-warnings.patch to fix groff warnings.
    - Fix ftbfs with autoconf 2.70 (Closes: #978902).
  * debian/copyright:
    - Refresh to the new upstream release.
  * debian/libsane1.symbols:
    - Add 1 new symbol.
    - Remove MISSING from last release.
  * debian/libsane-common.lintian-overrides:
    - Remove double lines.
  * New debian/libsane1.lintian-overrides to override afe spelling.
  * TROUBLESHOOTING.Debian:
    - Add part if sane-backends and tlp runs on the same system
      (Closes: #954096, #887745).
  * Declare compliance with Debian Policy 4.5.1 (No changes needed).
  * Fix FTCBFS: Annotate python3-minimal dependency :any. (Closes: #984747).
    - Thanks to Helmut Grohne <helmut@subdivi.de>.
  * debian/sane-utils.postrm:
    - Fix package doesn't purge cleanly (user/group not purged)
      (Closes: #987837).
    - Fix package doesn't purge cleanly (fix test with pathfind())
      (Closes: #987805).
  * Fix filtering out libsane-dll (Closes: #971592):
    - Cherry-picked from 1.0.25-4.1+deb9u2 (Thanks to
      Sylvain Beucler <beuc@beuc.net>).

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 01 May 2021 12:09:06 +0200

sane-backends (1.0.31-4) unstable; urgency=medium

  * debian/rules:
    - Add the --disable-locking option to dh_auto_configure.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 04 Dec 2020 17:08:57 +0100

sane-backends (1.0.31-3) unstable; urgency=medium

  * debian/sane-utils.postrm (Closes: #941625):
    - On purge remove pid file if sysvinit are used.
  * debian/99-libsane1.rules (Closes: #960083):
    - Add condition ENV{DEVNAME}!="" to run setfacl only on usb scanners.
  * debian/rules:
    - Replace the --enable-avahi option with an --with-avahi.
    - Remove the --enable-locking option from dh_auto_configure
      (Closes: #973490, #971584).

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 02 Nov 2020 08:19:03 +0100

sane-backends (1.0.31-2) unstable; urgency=medium

  * Upload into unstable (Closes: #969592).
  * New patch:
    - debian/patches/0170-return_empty_list_when_local_devices_requested.patch.
  * Remove not longer needed patches from debian/patches:
    - 0160-big_endian.patch
    - 0700-mk_reproducible_results.patch
    - 0715-20-sane.hwdb_multi-arch.patch
  * Fix typos in the Forwarded tag in the patch headers.
  * debian/upstream/metadata:
    - Change to gitlab.
  * Fix some trailing whitespaces / blank lines.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 27 Sep 2020 13:38:48 +0200

sane-backends (1.0.31-1~experimental1) experimental; urgency=medium

  * New upstream release (Closes: #968949, #962539).
  * Add back libsane transitional package, to ease upgrades (Closes: #962936):
    - debian/control: Add package libsane as oldlibs.
      Thanks to Gianfranco Costamagna <locutusofborg@debian.org>.
  * debian/copyright:
    - Fix lintian *-globbing-patterns errors.
    - Refresh to the new upstream release.
  * Convert debian/po/de.po to utf-8.
  * New patches:
    - debian/patches/0045-disable_lock_test_at_build_time.patch
    - debian/patches/0050-Use-python3-shebang.patch
    - debian/patches/0055-Fix_build_error.patch
    - debian/patches/0165-respect_local_only_parameter.patch
  * debian/rules:
    - Use --enable-locking instead --disable-locking.
  * debian/control:
    - Add libpoppler-glib-dev to Build-Depends.
    - Add ipp-usb to libsane1 Recommends (Closes: #968953).
  * debian/libsane1.symbols:
    - Remove 7 not longer available symbols.
  * debian/saned@.service:
    - Switch Standard[Output|Error] from syslog to append:/var/log/saned.log.
    - New debian/sane-utils.logrotate to pack and remove old logs.
  * debian/libsane-common.lintian-overrides:
    - Rename tags.
  * debian/patches/0125-multiarch_dll_search_path.patch:
    - Add $(prefix)/lib64/sane to lib search path  (Closes: #931297).
  * Fix FTCBFS: (Closes: #948711)
    - 0060-cross.patch: Make gphoto2 detection use the host architecture
      pkg-config.
    - Build tools/sane-desc for the build architecture.
    - Thanks to Helmut Grohne <helmut@subdivi.de>.
  * Remove files no longer needed:
    - debian/saned.socket
    - debian/saned@.service

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 05 Sep 2020 17:48:20 +0200

sane-backends (1.0.30-1~experimental2) experimental; urgency=medium

  * debian/not-installed:
    - Add usr/share/doc/libsane/backend-writing.txt.
  * debian/libsane1.symbols:
    - Add (arch=!hurd-i386) to cmsg@Base.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 31 May 2020 09:23:01 +0200

sane-backends (1.0.30-1~experimental1) experimental; urgency=medium

  * New upstream release (Closes: #961302):
    - fixes CVE-2020-12867, CVE-2020-12862, CVE-2020-12863, CVE-2020-12865,
      CVE-2020-12861, CVE-2020-12864.
  * Migrate to debhelper 13:
    - Bump minimum debhelper-compat version in debian/control to = 13.
  * debian/watch: Fix to new gitlab download structure.
  * debian/rules:
    - Remove DEB_LDFLAGS_MAINT_APPEND after lintian warning.
    - Add override_dh_installman-arch to remove obsolete man page sane-config.1.
  * debian/control:
    - Replace Conflicts with Breaks.
  * Remove debian/libsane-dev.preinst because sane-config was removed in
    oldstable.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 24 May 2020 19:45:00 +0200

sane-backends (1.0.29-1~experimental4) experimental; urgency=medium

  * Add HOST_NAME_MAX to debian/patches/0155-hurd_PATH_MAX.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 25 Apr 2020 15:38:30 +0200

sane-backends (1.0.29-1~experimental3) experimental; urgency=medium

  * Refresh patches/0155-hurd_PATH_MAX.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 12 Apr 2020 15:55:41 +0200

sane-backends (1.0.29-1~experimental2) experimental; urgency=medium

  * New debian/patches/0150-i386-test.patch:
    - Remove 4 tests failed tests on i386.
  * New patches/0155-hurd_PATH_MAX.patch:
    - Fix missing PATH_MAX on hurd-i386.
  * New patches/0160-big_endian.patch:
    - Fix FTBFS on big endian systems.
  * Remove now useless lintian overrides.

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 01 Apr 2020 22:36:36 +0200

sane-backends (1.0.29-1~experimental1) experimental; urgency=medium

  * New upstream release (Closes: #951213, #942727, #944998).
    - New debian/patches/0040-remove_git.patch to remove git access at
      build time.
    - Refresh patches:
      + debian/patches/0700-mk_reproducible_results.patch.
      + debian/patches/0710-sane-desc.c_debian_mods.patch.
      + debian/patches/0715-20-sane.hwdb_multi-arch.patch.
      + debian/patches/0725-fix_link_60-libsane_rule.patch.
      + debian/patches/0100-source_spelling.patch.
    - Refresh symbols file.
    - Refresh lintian overrides.
  * debian/rules:
    - Add --exclude=/sane/ to override_dh_makeshlibs-arch to generate
      only public symbols (Closes: #911597).
    - Don't install obsolete hal fdi file (Closes: #913282).
  * Remove architecture dependent symbols files.
  * Merge release 1.0.27-3.2 into source tree.
    - Thanks to John Paul Adrian Glaubitz for the bug fix.
  * New debian/patches/0725-fix_link_60-libsane_rule.patch:
    - Fix directory for 20-sane.hwdb (Closes: #916239).
  * New debian/patches/0155-genesys_gl847.patch:
    - Fix discolored bar on GL847 chip based scanners (Closes: #912603).
  * Fix missing set device to group scanner (Closes: #918358);
    - New debian/99-libsane.rules.
    - debian/libsane.install: Install File into /etc/udev/rules.d/
    - Change debian/TROUBLESHOOTING.Debian
  * debian/sane-utils.config: Remove the RUN parameter in compliance with
    Debian Policy Manual section 9.3.3.1 (Closes: #915197).
  * debian/copyright:
    - Add year 2020 for debian/*.
    - Add missing Uploaders to debian/*.
    - Refresh for the new upstream release.
  * Fix the lintian warning "libsane: package-name-doesnt-match-sonames
    libsane1":
    - debian/control: rename package libsane to libsane1.
    - debian/rules: Change filenames and directories from libsane to libsane1.
    - Rename debian/99-libsane.rules to debian/99-libsane1.rules.
  * Refresh debian/patches/0100-source_spelling.patch.
  * New debian/libsane-common.lintian-overrides and
    debian/libsane1.lintian-overrides to override false positive spelling-error.
  * Fix autopkgtest.
  * Migrate to debhelper 12:
    - Change debian/compat to 12.
    - Bump minimum debhelper version in debian/control to >= 12.
  * Declare compliance with Debian Policy 4.5.0 (No changes needed).
  * New debian/sane-utils.lintian-overrides to override false positive missing
    init.d script.
  * debian/control: Add Pre-Depends ${misc:Pre-Depends} to install invoke-rc.d.
  * debian/watch: Rewrite for the new Gitlab directory layout.
  * Rename debian/NEWS.Debian to debian/NEWS.
  * debian/control:
    - Add missing depends.
    - Change Conflicts/Replaces to the new release.
    - Add Rules-Requires-Root.
  * debian/*.manpages: Rewrite to install from new directory.
  * Switch to debhelper-compat:
    - debian/control: Replace debhelper with debhelper-compat.
    - Remove debian/compat.
  * Install all docs:
    - New debian/libsane-common.dirs, debian/libsane-common.docs,
      debian/not-installed.
  * Remove autopkgtest.
  * Remove unused files and patches.
  * Reuse debian/patches/0125-multiarch_dll_search_path.patch (Closes: #931297).
  * Override lintian error gzip-file-is-not-multi-arch-same-safe:
    - Update debian/libsane1.lintian-overrides.
    - New debian/libsane-dev.lintian-overrides.

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 17 Mar 2020 20:02:16 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog sane-utils`.
